Bug 487050 - Gnome panel applets do not load when already logged into another gnome session
Gnome panel applets do not load when already logged into another gnome session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 15:47 EST by Andrew Trick
Modified: 2009-07-14 12:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Trick 2009-02-23 15:47:31 EST
I'm using up-to-date FC9 (gnome 2.22.3) with freenx-server (0.7.3). I'm unable
to start multiple gnome-sessions using an NX client because the panel applets
won't load in the second session:

The panel encountered a problem while loading
OAFIID:GNOME_ClockApplet
...
OAFIID:GNOME_SystemTrayApplet

So the desktop is not really usable in my second session.

If I log out of all sessions, then log the first time in using the NX client,
then the applets load fine. So I don't think it's a bad gnome config.

It can be reproduced every time by:

1. locally start a gnome-session using gdm
2. start an nx client on another machine 
   (in my case nx client for windows 3.3.0-6)
3. Wait for the "panel encountered a problem" dialog that asks you
   to "delete" the applet
4. Don't "delete" the applet, but desktop now unusable (no tray menu, etc.)
Comment 1 Bug Zapper 2009-06-09 23:35:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:24:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.